#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  Folks-0.15.2

- Next

  Tracker-2.3.6

- Up
- Home

# gfbgraph-0.2.4

## Introduction to gfbgraph

The gfbgraph package contains a GObject wrapper for the Facebook Graph API.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gfbgraph/0.2/gfbgraph-0.2.4.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gfbgraph/0.2/gfbgraph-0.2.4.tar.xz

- Download MD5 sum: c38af63e49f8fe8baad99537956b69ba

- Download size: 40 KB

- Estimated disk space required: 7.0 MB

- Estimated build time: 0.1 SBU

### gfbgraph Dependencies

#### Required

gnome-online-accounts-3.38.0 and rest-0.8.1

#### Recommended

gobject-introspection-1.66.1

#### Optional

GTK-Doc-1.33.2

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gfbgraph

## Installation of gfbgraph

Install gfbgraph by running the following commands:

    ./autogen.sh --prefix=/usr --disable-static &&
    make

This package does not have a working testsuite.

Now, as the `root` user:

    make libgfbgraphdocdir=/usr/share/doc/gfbgraph-0.2.4 install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: None
Installed Libraries: libgfbgraph-0.2.so
Installed Directories: /usr/include/gfbgraph-0.2, /usr/share/doc/gfbgraph-0.2.4, and /usr/share/gtk-doc/html/gfbgraph

### Short Descriptions

`libgfbgraph-0.2.so` | is a GObject wrapper for the Facebook Graph API

Last updated on 2021-02-24 18:50:56 -0800

- Prev

  Folks-0.15.2

- Next

  Tracker-2.3.6

- Up
- Home